#ifndef glall_h
#define glall_h

// MacOSX+XCode／Windows+VS／Linuxでインクルードファイルを切り替える
#if defined(__APPLE__) || defined(__APPLE_CC__) || defined(MACOSX)
#  include <OpenGL/gl.h>
#  include <OpenGL/glu.h>
#  include <GLUT/GLUT.h>
#elif defined(_WIN32)
#  include <windows.h>
#  include <GL/gl.h>
#  include <GL/glu.h>
#  include <GL/glut.h>
#else
#  include <GL/gl.h>
#  include <GL/glu.h>
#  include <GL/glut.h>
#endif

// TEXTURE_RECTANGLEに対応していなければ対応させる
#if !defined(GL_TEXTURE_RECTANGLE_EXT)
#  define GL_TEXTURE_RECTANGLE_EXT 0x84F5
#endif
#if !defined(GL_TEXTURE_RECTANGLE)
#  define GL_TEXTURE_RECTANGLE GL_TEXTURE_RECTANGLE_EXT
#endif

#if !defined(GL_TEXTURE_BINDING_RECTANGLE_EXT)
#  define GL_TEXTURE_BINDING_RECTANGLE_EXT 0x84F6
#endif
#if !defined(GL_TEXTURE_BINDING_RECTANGLE)
#  define GL_TEXTURE_BINDING_RECTANGLE GL_TEXTURE_BINDING_RECTANGLE_EXT
#endif

#if !defined(GL_PROXY_TEXTURE_RECTANGLE_EXT)
#  define GL_PROXY_TEXTURE_RECTANGLE_EXT 0x84F7
#endif
#if !defined(GL_PROXY_TEXTURE_RECTANGLE)
#  define GL_PROXY_TEXTURE_RECTANGLE GL_PROXY_TEXTURE_RECTANGLE_EXT
#endif

#if !defined(GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT)
#  define GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT 0x84F8
#endif
#if !defined(GL_MAX_RECTANGLE_TEXTURE_SIZE)
#  define GL_MAX_RECTANGLE_TEXTURE_SIZE GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT
#endif

#endif
