#include "TextureRenderer.h"
#include "../glall.h"
#include "TextureObject.h"

gl::TextureRenderer::TextureRenderer(TextureObject *obj)
  : m_target(static_cast<GLenum>(obj->getTexture()->getTarget())), m_moved(false)
{
  glGetIntegerv(obj->getTexture()->getBindingParam(), &m_last_id) ;
  glBindTexture(m_target, obj->getID()) ;
}
